## org.apache.lucene.xmlparser
Class QueryBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.QueryBuilderFactory

All Implemented Interfaces:
  QueryBuilder

    public class QueryBuilderFactory

extends java.lang.Object
implements QueryBuilder

Constructor Summary
`QueryBuilderFactory()`

Method Summary
`void` `addBuilder(java.lang.String nodeName, QueryBuilder builder)`
`org.apache.lucene.search.Query` `getQuery(org.w3c.dom.Element n)`
`QueryBuilder` `getQueryBuilder(java.lang.String nodeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilderFactory

    public QueryBuilderFactory()

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(org.w3c.dom.Element n)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(java.lang.String nodeName,
                           QueryBuilder builder)

### getQueryBuilder

    public QueryBuilder getQueryBuilder(java.lang.String nodeName)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.